%global srcname oss-parent

Summary:       Grandpa pom for all projects under FasterXML git umbrella
Name:          fasterxml-oss-parent
Version:       61
Release:       1%{?dist}
License:       Apache-2.0
URL:           https://github.com/FasterXML/oss-parent
Source0:       %{url}/archive/%{srcname}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.codehaus.mojo:build-helper-maven-plugin)

BuildArch:     noarch
ExclusiveArch: %{java_arches} noarch

%description
This project contains shared parent POM for projects in FasterXML repository.

%prep
%autosetup -n %{srcname}-%{srcname}-%{version}

%pom_remove_plugin :jacoco-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-pmd-plugin
%pom_remove_plugin :maven-scm-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :jdepend-maven-plugin
%pom_remove_plugin :taglist-maven-plugin
%pom_xpath_remove "pom:build/pom:extensions"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE
%doc README.creole

%changelog
* Fri Sep 20 2024 Upgrade Robot <upbot@opencloudos.tech> - 61-1
- Upgrade to version 61

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 49-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 49-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 49-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 Miaojun Dong <zoedong@tencent.com> - 49-1
- initial build
